# Uses of Class
javax.swing.filechooser.FileSystemView

Packages that use FileSystemView
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.filechooser
Contains classes and interfaces used by the `JFileChooser` component.

## Uses of FileSystemView in javax.swing

Methods in javax.swing that return FileSystemView
Modifier and Type
Method
Description
`FileSystemView`
JFileChooser.`getFileSystemView()`
Returns the file system view.
Methods in javax.swing with parameters of type FileSystemView
Modifier and Type
Method
Description
`void`
JFileChooser.`setFileSystemView​(FileSystemView fsv)`
Sets the file system view that the `JFileChooser` uses for accessing and creating file system resources, such as finding the floppy drive and getting a list of root drives.
`protected void`
JFileChooser.`setup​(FileSystemView view)`
Performs common constructor initialization and setup.
Constructors in javax.swing with parameters of type FileSystemView
Modifier
Constructor
Description
``
`JFileChooser​(File currentDirectory, FileSystemView fsv)`
Constructs a `JFileChooser` using the given current directory and `FileSystemView`.
``
`JFileChooser​(String currentDirectoryPath, FileSystemView fsv)`
Constructs a `JFileChooser` using the given current directory path and `FileSystemView`.
``
`JFileChooser​(FileSystemView fsv)`
Constructs a `JFileChooser` using the given `FileSystemView`.

## Uses of FileSystemView in javax.swing.filechooser

Methods in javax.swing.filechooser that return FileSystemView
Modifier and Type
Method
Description
`static FileSystemView`
FileSystemView.`getFileSystemView()`
Returns the file system view.